## org.eclipse.datatools.sqltools.sqlbuilder.model
Class QueryNameValidator

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.QueryNameValidator

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IInputValidator

    public class QueryNameValidator

extends java.lang.Object
implements org.eclipse.jface.dialogs.IInputValidator

Constructor Summary
`QueryNameValidator(java.util.List names)`

Method Summary
`java.lang.String` `containsInvalidChar(java.lang.String text)`
`java.lang.String` `isValid(java.lang.String newText)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryNameValidator

    public QueryNameValidator(java.util.List names)

Method Detail

### containsInvalidChar

    public java.lang.String containsInvalidChar(java.lang.String text)

### isValid

    public java.lang.String isValid(java.lang.String newText)

  Specified by:
    `isValid` in interface `org.eclipse.jface.dialogs.IInputValidator`